<mat-card class="text-center class-width">
  <mat-card-title class="mb-4">{{title}}</mat-card-title>
  <mat-card-content>
    <mat-form-field appearance="fill">
      <mat-label>Enter your email</mat-label>
      <input matInput placeholder="pat@example.com" [formControl]="email" required>
      <mat-error *ngIf="email.invalid">{{getErrorMessage()}}</mat-error>
    </mat-form-field>
  </mat-card-content>

  <mat-card-footer><button mat-raised-button color="primary" class="mb-4" (click)="loginRegister(title!)">{{title}}</button></mat-card-footer>
</mat-card>

<mat-card *ngIf="token.value" class="text-center class-width mt-5">
  <mat-card-title>Token</mat-card-title>
  <mat-card-content>
    <p>Email: {{email.value || ""}}</p>
    <p>Token: {{token.value || ""}}</p>
    <p *ngIf="seconds; else expired">Expires in: {{seconds}}</p>
    <ng-template #expired>
      <p>Token expired</p>
    </ng-template>
  </mat-card-content>

  <mat-card-footer><button mat-raised-button color="primary" class="mb-4" (click)="verifyToken()">Verify token</button></mat-card-footer>
</mat-card>


